Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.utils
Class InterM4StepParameter

    java.lang.Object
      edu.udo.cs.miningmart.m4.utils.InterM4Communicator
          edu.udo.cs.miningmart.m4.utils.InterM4StepParameter

    public class InterM4StepParameter

extends InterM4Communicator

Helper class for standard communication between `Step` (container) and `Parameter`.

Version:
  $Id: InterM4StepParameter.java,v 1.4 2006/09/27 14:59:55 euler Exp $
Author:
  Martin Scholz

Constructor Summary
`InterM4StepParameter()`

Method Summary
`java.util.Collection` | `getCollection(java.lang.Object step)` Each container object contains a collection, which has to be backed, so an "add" or "remove" to the collection results in a corresponding "add" or "remove" to the underlying container data structure.
`java.lang.Object` | `getSingleRef(M4Object parameter)` The `M4Object` different from the container object needs to have a reference to the container class.
`void` | `setSingleRefPrimitive(M4Object parameter, java.lang.Object step)` The `M4Object` different from the container object needs to have a reference to the container class.

Methods inherited from class edu.udo.cs.miningmart.m4.utils.InterM4Communicator
`add, checkNameExists, remove, setCollectionTo, updateReferenceTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterM4StepParameter

    public InterM4StepParameter()

Method Detail

### getSingleRef

    public java.lang.Object getSingleRef(M4Object parameter)
                                  throws M4Exception

  Description copied from class: `InterM4Communicator`
  The `M4Object` different from the container object needs to have a reference to the container class.

  Parameters:
    `parameter` - a `Parameter`
  Returns:
    the `Step` of the `Parameter`
  Throws:
    `M4Exception`
  See Also:
    `InterM4Communicator.getSingleRef(M4Object)`

### getCollection

    public java.util.Collection getCollection(java.lang.Object step)
                                       throws M4Exception

  Description copied from class: `InterM4Communicator`
  Each container object contains a collection, which has to be backed, so an "add" or "remove" to the collection results in a corresponding "add" or "remove" to the underlying container data structure. This method must never return `null`, but a backed empty `Collection` instead!

  Parameters:
    `step` - a `Step`
  Returns:
    a backed `Collection` of `Object`s
  Throws:
    `M4Exception`
  See Also:
    `InterM4Communicator#getCollection(M4Object)`

### setSingleRefPrimitive

    public void setSingleRefPrimitive(M4Object parameter,
                                      java.lang.Object step)
                               throws M4Exception

  Description copied from class: `InterM4Communicator`
  The `M4Object` different from the container object needs to have a reference to the container class. This method is a primitive setter for this field. It should consist of a single assignment.

  Parameters:
    `parameter` - a `Parameter`
    `step` - a `Step`
  Throws:
    `M4Exception`
  See Also:
    `InterM4Communicator#setSingleRefPrimitive(M4Object, M4Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005